﻿if ((GetLocale() == "enUS") or (LFMonitor.TEXT == nil)) then

	local bz = LFMonitor.BZ
	local bb = LFMonitor.BB
	local bi = LFMonitor.BI
	local l = string.lower

	--local function l(text)

	--	return string.lower(text)

	--end

-- Word matching pattern
    LFMonitor.WORD_PATTERN = "[%a%d][%a%d']*[%a%d]"
	-- to match this pattern, a word must:
		-- have at least 2 characters
		-- not include whitespace, or punctuation other than apostrophes
		-- not start or end with an apostrophe

-- Chat commands
	LFMonitor.CHAT_COMMANDS = {"lfmonitor", "lfmon"}

-- Whisper command
	LFMonitor.WHISPER_COMMAND = "/w"

--fonts
	LFMonitor.FONT_FRIZ = "Friz Quadrata TT"
	LFMonitor.FONT_ARIALN = "Arial Narrow"
	LFMonitor.FONT_SKURRI = "Skurri"
	LFMonitor.FONT_MORPHEUS = "Morpheus"

--timestamps
	LFMonitor.TS_12HR1 = "12h h:m"
	LFMonitor.TS_12HR2 = "12h h:m:s"
	LFMonitor.TS_12HR3 = "12h h:m am/pm"
	LFMonitor.TS_12HR4 = "12h h:m:s am/pm"
	LFMonitor.TS_24HR1 = "24h h:m"
	LFMonitor.TS_24HR2 = "24h h:m:s"

--appearance options
	LFMonitor.APPEARANCE_OPTIONS = "Appearance options"
	LFMonitor.TIMESTAMP = "Timestamp"
	LFMonitor.MESSAGE_TEXT = "Message text"
	LFMonitor.TEXT = "Text"
	LFMonitor.WINDOW = "Window"
	LFMonitor.FONT = "Font"
	LFMonitor.TIMESTAMP_FORMAT = "Timestamp format"

-- For history table

	local red   = "|cFFFF0000"
	local blue  = "|cFF9999FF"
	local green = "|cFF00FF00"
	local yellow= "|cFFFFFF33"
	local orange= "|cFFFF9900"
	local pink  = "|cFFFF00FF"
	local gray  = "|cFF999999"

	LFMonitor.HISTORY_COLUMN_HEADERS = {
		Count = "#",
		Channel = "C",
		Timestamp = "Time",
		Player = _G.PLAYER,
		Type = "Type",
		Raid = "Raid",
		Class = _G.CLASS,
		Role = _G.RAID_SORT_ROLE,
		Profession = "Prof",
		Message = LFMonitor.MESSAGE_TEXT
	}
	LFMonitor.TABLE_UNKNOWN = gray.."--".."|r" -- indicates that no known categories apply to a message

	LFMonitor.SHOW_TYPES = "Show message types"

	LFMonitor.ABBRS = {
		["type"] = {
			["LFPROF"]  = green .."LF".."|r",
			["LFW"]     = red   .."LFW".."|r",
			["LFM"]     = yellow.."LFM".."|r",
			["LFG"]     = blue  .."LFG".."|r",
			["WTB"]     = green .."WTB".."|r",
			["WTS"]     = red   .."WTS".."|r",
			["LFGUILD"] = pink  .."LFGld".."|r",
			["GUILDLFM"]= orange.."GldLFM".."|r",
			["unknown"]	= "Other"
		},
		["role"] = {
			["tank"]   = green .."T".."|r",
			["healer"] = yellow.."H".."|r",
			["melee"]  = blue  .."M".."|r",
			["ranged"] = pink  .."R".."|r",
			["cc"] = "CC",
			["all"] = "A"
		},
		["prof"] = {
			["jc"] = "Jc",
			["enc"] = "Enc",
			["lw"] = "Lw",
			["ins"] = "In",
			["tlr"] = "Tl",
			["bs"] = "Bs",
			["alc"] = "Al",
			["eng"] = "Eng",
			["misc"] = "??"
		},
		["raid"] ={
			["RBG"] = "RBG",
			["2s"]  = "2s",
			["3s"]  = "3s",
			["5s"]  = "5s",
			["FL"]  = "FL",
			["BH"]	= "BH",
			["BWD"] = "BWD",
			["BoT"] = "BoT",
			["TFW"] = "TFW",
			["EoE"] = "EoE",
			["ICC"] = "ICC",
			["Nax"] = "Nax",
			["Ony"] = "Ony",
			["OS"] = "OS",
			["RS"] = "RS",
			["ToC"] = "ToC",
			["Uld"] = "Uld",
			["VoA"] = "VoA",
			["Hyj"] = "Hyj",
			["BT"] = "BT",
			["GL"] = "GL",
			["Kra"] = "Kra",
			["Mag"] = "Mag",
			["SSC"] = "SSC",
			["SWP"] = "SWP",
			["TK"] = "TK",
			["ZA"] = "ZA",
			["BWL"] = "BWL",
			["MC"] = "MC",
			["AQ10"] = "AQ10",
			["AQ40"] = "AQ40",
			["ZG"] = "ZG",
			["UBRS"] = "UBRS"
		},
		["class"] = {
			["dk"] = "|cFFC41F3B".."Dk".."|r",
			["dr"] = "|cFFFF7D0A".."Dr".."|r",
			["hu"] = "|cFFABD473".."Hu".."|r",
			["ma"] = "|cFF69CCF0".."Ma".."|r",
			["pa"] = "|cFFF58CBA".."Pa".."|r",
			["pr"] = "|cFFFFFFFF".."Pr".."|r",
			["ro"] = "|cFFFFF569".."Ro".."|r",
			["sh"] = "|cFF0070DE".."Sh".."|r",
			["wa"] = "|cFF9482C9".."Wl".."|r",
			["wr"] = "|cFFC79C6E".."Wr".."|r",
		}
	}


	LFMonitor.CLASS_COLOUR_TEXT = _G.CLASS_COLORS

--profession options
	LFMonitor.SET_LOOKING_FOR = "Set the 'Looking For' professions to monitor"
	LFMonitor.PROF = "Looking for"

--responses options
	LFMonitor.RESPONSES = "Responses"
	LFMonitor.RESPONSES_TO_REQUESTS = "Responses to 'Looking For' requests"
	LFMonitor.SET_RESPONSES = "Set the responses to provide to requests"
	LFMonitor.WHISPER_ME = "Whisper me for prices"
	LFMonitor.LFG_RESPONSE = "Invite"

--general options
	LFMonitor.GENERAL_OPTIONS = "General options"
	LFMonitor.HIDE_IN_INSTANCES = "Hide in instances"
	LFMonitor.HIDE_IN_COMBAT = "Hide in combat"
	LFMonitor.SHOW_IN_CITIES = "Only show in major cities and inns"
	LFMonitor.TRADE_CHANNEL = "Only show when in Trade channel"
	LFMonitor.SOUND_ON = _G.ENABLE_SOUND
	LFMonitor.LOCK = _G.LOCK_FRAME
	LFMonitor.CHANNELS = "Monitored channels"
	LFMonitor.CACHE_SIZE = "Cache size"
	LFMonitor.SENSITIVITY = "Filter sensitivity"

--custom search
	LFMonitor.CUSTOM_OPTIONS = "Custom monitoring"
	LFMonitor.CUSTOM_INST = "Enter a word or phrase you would like monitored"
	LFMonitor.CUSTOM_BASIC = "Basic search"
	LFMonitor.CUSTOM_ADV = "Advanced search"
	LFMonitor.CUSTOM_WARNING = "The box below will accept any lua pattern matching expression. This is for advanced users only. More information on lua patterns can be found at |cff00ff00http://www.wowwiki.com/Pattern_matching"
	LFMonitor.CUSTOM_CHANNELS = "Monitor Custom Channels"

--sounds
	LFMonitor.COINS = "Coins"
	LFMonitor.WINDOW_TAB = "Window tab"
	LFMonitor.MENU_OPENING = "Menu opening"
	LFMonitor.MINIMAP_OPENING = "Minimap opening"
	LFMonitor.SPELLBOOK_OPENING = "Spellbook opening"
	LFMonitor.SPELLBOOK_CLOSING = "Spellbook closing"
	LFMonitor.TALENTS_OPENING = "Talents opening"
	LFMonitor.QUEST_LOG_OPENING = "Quest log opening"
	LFMonitor.FISHING = bi["Fishing"]
	LFMonitor.DISCOVERY = "Discovery"
	LFMonitor.APPLAUSE = "Applause"
	LFMonitor.BEEP = "Beep"
	LFMonitor.CLICK = "Click"
	LFMonitor.DOG_BARKING = "Dog barking"
	LFMonitor.MOUSE_CLICK = "Mouse click"
	LFMonitor.STAPLER = "Stapler"

--jewelcrafting
	LFMonitor.JEWELCRAFTING = bi["Jewelcrafting"]

--enchanting
	LFMonitor.ENCHANTING = bi["Enchanting"]

--leatherworking
	LFMonitor.LEATHERWORKING = bi["Leatherworking"]

--inscription
	LFMonitor.INSCRIPTION = bi["Inscription"]

--tailoring
	LFMonitor.TAILORING = bi["Tailoring"]

--blacksmithing
	LFMonitor.BLACKSMITHING = bi["Blacksmithing"]

--alchemy
    LFMonitor.ALCHEMY = bi["Alchemy"]

--engineering
	LFMonitor.ENGINEERING = bi["Engineering"]

--want to buy
	LFMonitor.ALL_WTB_REQUESTS = "All 'Want to buy' requests"

--want to sell
	LFMonitor.ALL_WTS_REQUESTS = "All 'Want to sell' requests"

--looking for guild
	LFMonitor.LF_GUILD_REQUESTS = "'Looking for guild' requests"

--guild recruitment
	LFMonitor.GUILD_RECRUITMENT_REQUESTS = "Guild recruitment"

--looking for
	LFMonitor.ALL_LFG_REQUESTS = "All 'Looking for group' requests"
	LFMonitor.ALL_LF_CRAFTER_REQUESTS = "All 'Looking for crafter' requests"
	LFMonitor.GENERAL_LF_REQUESTS = "General 'Looking for' requests"

--looking for work
	LFMonitor.ALL_LFW_REQUESTS = "All 'Looking for work' requests"

--looking for more
	LFMonitor.ALL_LFM_REQUESTS = "All 'Looking for more' requests"
	LFMonitor.LFM_OPTIONS = "'Looking For More' options"
	LFMonitor.LFM_LIMIT = "Show LFM only for these classes:"
	LFMonitor.LFM_ROLE_LIMIT = "And these roles:"
	LFMonitor.IGNORE_RAID = "Ignore raid settings"

--menu
-- in all the following section %s will be replaced with the player's name
	LFMonitor.AUTOREPLY = "Autoreply"
	LFMonitor.SEND_AUTO = "Send your autoresponse to %s"
	LFMonitor.IGNORE_LIST = "Add %s to your ignore list"
	LFMonitor.CLOSE_MENU = "Close this menu"
	LFMonitor.WHISPER = "Whisper %s"

--dialogues
	LFMonitor.CANNOT_SEND = "Cannot send an autoreponse - nothing to reply with!"
	LFMonitor.RESET_CONFIRM = "The will reset ALL LFMonitor's settings. Are you sure?"

--classes
	LFMonitor.classes = {
		["dk"] = bi["Death Knight"],
		["dr"] = bi["Druid"],
		["hu"] = bi["Hunter"],
		["ma"] = bi["Mage"],
		["pa"] = bi["Paladin"],
		["pr"] = bi["Priest"],
		["ro"] = bi["Rogue"],
		["sh"] = bi["Shaman"],
		["wa"] = bi["Warlock"],
		["wr"] = bi["Warrior"],
	}

	LFMonitor.roles = {
		["tank"]   = _G.TANK.. " / Flag Carrier",
		["healer"] = _G.HEALER,
		["melee"]  = _G.PLAYERSTAT_MELEE_COMBAT,
		["ranged"] = _G.PLAYERSTAT_RANGED_COMBAT,
		["cc"]     = "Crowd Control",
		["all"]    = false
	}

	--raids
	LFMonitor.RAIDTITLE = "Set the instances to monitor"

	LFMonitor.RAIDS = {
		-- do not localize key
		{key = "RBG", rname = _G.PVP_RATED_BATTLEGROUNDS, level = 85},
		{key = "2s",  rname = _G.ARENA_TEAM_2V2, level = 85},
		{key = "3s",  rname = _G.ARENA_TEAM_3V3, level = 85},
		{key = "5s",  rname = _G.ARENA_TEAM_5V5, level = 85},
		{key = "FL",  rname = bz["Firelands"], level = 85},
		{key = "BH",  rname = bz["Baradin Hold"], level = 85},
		{key = "BWD", rname = bz["Blackwing Descent"], level = 85},
		{key = "BoT", rname = bz["The Bastion of Twilight"], level = 85},
		{key = "TFW", rname = bz["Throne of the Four Winds"], level = 85},
		{key = "EoE", rname = bz["The Eye of Eternity"], level = 80},
		{key = "ICC", rname = bz["Icecrown Citadel"], level = 80},
		{key = "Nax", rname = bz["Naxxramas"], level = 80},
		{key = "Ony", rname = bz["Onyxia's Lair"], level = 80},
		{key = "OS",  rname = bz["The Obsidian Sanctum"], level = 80},
		{key = "RS",  rname = bz["The Ruby Sanctum"], level = 80},
		{key = "ToC", rname = bz["Trial of the Crusader"], level = 80},
		{key = "Uld", rname = bz["Ulduar"], level = 80},
		{key = "VoA", rname = bz["Vault of Archavon"], level = 80},
		{key = "Hyj", rname = bz["Mount Hyjal"], level = 70},
		{key = "BT",  rname = bz["Black Temple"], level = 70},
		{key = "GL",  rname = bz["Gruul's Lair"], level = 70},
		{key = "Kra", rname = bz["Karazhan"], level = 70},
		{key = "Mag", rname = bz["Magtheridon's Lair"], level = 70},
		{key = "SSC", rname = bz["Serpentshrine Cavern"], level = 70},
		{key = "SWP", rname = bz["Sunwell Plateau"], level = 70},
		{key = "TK",  rname = bz["Tempest Keep"], level = 70},
		{key = "ZA",  rname = bz["Zul'Aman"], level = 85},
		{key = "BWL", rname = bz["Blackwing Lair"], level = 60},
		{key = "MC",  rname = bz["Molten Core"], level = 60},
		{key = "AQ10",rname = bz["Ruins of Ahn'Qiraj"], level = 60},
		{key = "AQ40",rname = bz["Temple of Ahn'Qiraj"], level = 60},
		{key = "ZG",  rname = bz["Zul'Gurub"], level = 85},
		{key = "UBRS",rname = bz["Upper Blackrock Spire"], level = 56}
	}

	LFMonitor.words = {
	  exact = {
		["lf8m"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["jw"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["jc"] = 0.5,
		  },
		},
		["dk"] = {
		  ["class"] = {
			["dk"] = 1,
		  },
		},
		["os"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["OS"] = 0.5,
		  },
		},
		["lw"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["lw"] = 1,
		  },
		},
		["bg"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["RBG"] = 0.5,
		  },
		},
		["rs"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["RS"] = 1,
		  },
		},
		["cc"] = {
		  ["role"] = {
			["cc"] = 0.5,
		  },
		},
		["lfg"] = {
		  ["type"] = {
			["LFG"] = 1,
		  },
		},
		["mc"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["MC"] = 1,
		  },
		},
		["lf1"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["mt"] = {
		  ["role"] = {
			["tank"] = 1,
		  },
		},
		["lf4"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["2s"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["2s"] = 1,
		  },
		},
		["3s"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["3s"] = 1,
		  },
		},
		["lf7m"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["lf4m"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["5s"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["5s"] = 1,
		  },
		},
		["wtb"] = {
		  ["type"] = {
			["LFPROF"] = 0.25,
			["LFM"] = 0.25,
			["WTB"] = 1,
		  },
		},
		["lf5"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["bs"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["bs"] = 1,
		  },
		},
		["kz"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Kra"] = 1,
		  },
		},
		["lf2"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["lf5m"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["tk"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["TK"] = 1,
		  },
		},
		["lf6"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["lfm"] = {
		  ["type"] = {
			["LFM"] = 1,
			["LFPROF"] = 0,
			["LFW"] = 0,
			["LFG"] = 0,
		  },
		},
		["lk"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ICC"] = 1,
		  },
		},
		["lf3"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["lf2m"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["ot"] = {
		  ["role"] = {
			["tank"] = 1,
		  },
		},
		["aq"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["AQ10"] = 0.5,
			["AQ40"] = 0.5,
		  },
		},
		["lf7"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["wts"] = {
		  ["type"] = {
			["WTS"] = 1,
		  },
		},
		["bh20"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BH"] = 1,
		  },
		},
		["bh"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BH"] = 1,
		  },
		},

		["lf"] = {
		  ["type"] = {
			["LFPROF"] = 0.25,
		  },
		},
		["fc"] = {
		  ["role"] = {
			["tank"] = 1,
		  },
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["RBG"] = 0.5,
		  },
		},
		["lf6m"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["zg"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ZG"] = 1,
		  },
		},
		["mage"] = {
		  ["class"] = {
			["ma"] = 1,
		  },
		},
		["ml"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Mag"] = 1,
		  },
		},
		["jc"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["jc"] = 1,
		  },
		},
		["za"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ZA"] = 1,
		  },
		},
		["bt"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BT"] = 0.75,
		  },
		},
		["lf8"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["lf9m"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["lf9"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["lf3m"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["only"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Ony"] = 0.5,
		  },
		},
		["fl"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["FL"] = 1,
		  },
		},
	  },
	  fuzzy = {
-- top 40 words in English (http://www.duboislc.org/EducationWatch/First100Words.html), minus 1 and 2 letter words
["the"]={},
["and"]={},
["you"]={},
["that"]={},
["was"]={},
["for"]={},
["are"]={},
["with"]={},
["his"]={},
["they"]={},
["this"]={},
["have"]={},
["from"]={},
["one"]={},
["had"]={},
["word"]={},
["but"]={},
["not"]={},
["what"]={},
["were"]={},
["when"]={},
["your"]={},
["can"]={},
["said"]={},
-- rest of the list
		["icecrown"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ICC"] = 0.5,
		  },
		},
		["razorgore"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BWL"] = 1,
		  },
		},
		["sulfuron"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["MC"] = 1,
		  },
		},
		[l(bb["Festergut"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ICC"] = 1,
		  },
		},
		[l(bb["Alysrazor"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["FL"] = 1,
		  },
		},
		["azgalor"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Hyj"] = 1,
		  },
		},
		["restoration"] = {
		  ["class"] = {
			["dr"] = 0.5,
			["sh"] = 0.5,
		  },
		},
		[l(bb["Beth'tilac"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["FL"] = 1,
		  },
		},
		["rbg"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["RBG"] = 1,
		  },
		},
		[l(bb["Occu'thar"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BH"] = 1,
		  },
		},
		["beth"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["FL"] = 1,
		  },
		},
		["occu"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BH"] = 1,
		  },
		},
		["bwl40"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BWL"] = 1,
		  },
		},
		["rbgs"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["RBG"] = 1,
		  },
		},
		["druid"] = {
		  ["class"] = {
			["dr"] = 1,
		  },
		},
		["geddon"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["MC"] = 1,
		  },
		},
		["faerlina"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Nax"] = 1,
		  },
		},
		["bgs"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["RBG"] = 0.5,
		  },
		},
		["want"] = {
		  ["type"] = {
			["WTS"] = 0.5,
			["WTB"] = 0.5,
		  },
		},
		["ony25"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Ony"] = 1,
		  },
		},
		["akama"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BT"] = 1,
		  },
		},
		["eoe"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["EoE"] = 1,
		  },
		},
		["icc10"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ICC"] = 1,
		  },
		},
		["baradin"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BH"] = 1,
		  },
		},
		["kara"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Kra"] = 1,
		  },
		},
		["raid"] ={
		  ["type"] = {
			["LFG"] = 0.5,
		  },
		},
		["alg"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Uld"] = 1,
		  },
		},
		["bwd25"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BWD"] = 1,
		  },
		},
		["rhyolith"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["FL"] = 1,
		  },
		},
		["toc"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ToC"] = 1,
		  },
		},
		["ruins"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["AQ10"] = 0.5,
		  },
		},
		["naxx10"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Nax"] = 1,
		  },
		},
		["craft"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["misc"] = 1,
		  },
		},
		["theralion"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BoT"] = 1,
		  },
		},
		["sell"] = {
		  ["type"] = {
			["WTS"] = 0.5,
		  },
		},
		["val"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BoT"] = 1,
		  },
		},
		["resto"] = {
		  ["class"] = {
			["dr"] = 0.5,
			["sh"] = 0.5,
		  },
		},
		["inscriptor"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["ins"] = 1,
		  },
		},
		["gl25"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["GL"] = 1,
		  },
		},
		["healers"] = {
		  ["role"] = {
			["healer"] = 1,
		  },
		},
		["togc"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ToC"] = 1,
		  },
		},
		[l(bb["Zul'jin"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ZA"] = 1,
		  },
		},
		[l(bb["Shannox"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["FL"] = 1,
		  },
		},
		["tk25"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["TK"] = 1,
		  },
		},
		["heals"] = {
		  ["role"] = {
			["healer"] = 1,
		  },
		},
		["heal"] = {
		  ["role"] = {
			["healer"] = 1,
		  },
		},
		[l(bb["Atramedes"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BWD"] = 1,
		  },
		},
		[l(bz["Hyjal"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Hyj"] = 1,
		  },
		},
		["mandokir"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ZG"] = 1,
		  },
		},
		["curator"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Kra"] = 1,
		  },
		},
		["arg"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BH"] = 1,
		  },
		},
		["enc"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["enc"] = 1,
		  },
		},
		["jewelcrafter"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["jc"] = 1,
		  },
		},
		["gruul"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["GL"] = 1,
		  },
		},
		["uld25"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Uld"] = 1,
		  },
		},
		["blackrock"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["UBRS"] = 0.75,
		  },
		},
		["tailor"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["tlr"] = 1,
		  },
		},
		["wts"] = {
		  ["type"] = {
			["WTS"] = 1,
			["WTB"] = -1
		  },
		},
		["princes"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ICC"] = 0.5,
		  },
		},
		["rag"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["MC"] = 0.5,
			["FL"] = 0.75,
		  },
		},
		["mag"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Mag"] = 1,
		  },
		},
		[l(bb["Chromaggus"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BWL"] = 1,
		  },
		},
		[l(bb["Kil'jaeden"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["SWP"] = 1,
		  },
		},
		["buy"] = {
		  ["type"] = {
			["WTB"] = 0.5,
		  },
		},
		[l(bb["Magmaw"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BWD"] = 1,
		  },
		},
		[l(bb["M'uru"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["SWP"] = 1,
		  },
		},
		["buying"] = {
		  ["type"] = {
			["WTB"] = 1,
		  },
		},
		["aq10"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["AQ10"] = 1,
		  },
		},
		["tempest"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["TK"] = 1,
		  },
		},
		["eoe25"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["EoE"] = 1,
		  },
		},
		[l(bb["Al'ar"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["TK"] = 1,
		  },
		},
		["selling"] = {
		  ["type"] = {
			["WTS"] = 1,
		  },
		},
		["frost"] = {
		  ["class"] = {
			["ma"] = 0.5,
		  },
		},
		["malacrass"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ZA"] = 1,
		  },
		},
		[l(bz["Ahn'Qiraj"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["AQ10"] = 0.5,
			["AQ40"] = 0.5,
		  },
		},
		["icc"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ICC"] = 1,
		  },
		},
		["rog"] = {
		  ["class"] = {
			["ro"] = 1,
		  },
		},
		["paladin"] = {
		  ["class"] = {
			["pa"] = 1,
		  },
		},
		["lfg"] = {
		  ["type"] = {
			["LFG"] = 0.75,
		  },
		},
		["dks"] = {
		  ["class"] = {
			["dk"] = 1,
		  },
		},
		["shad"] = {
		  ["class"] = {
			["pr"] = 1,
		  },
		},
		["carrier"] = {
		  ["role"] = {
			["tank"] = 0.5,
		  },
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["RBG"] = 0.5,
		  },
		},
		["deeps"] = {
		  ["role"] = {
			["ranged"] = 1,
			["melee"] = 1,
		  },
		},
		["ascendant"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BoT"] = 1,
		  },
		},
		[l(bb["Baleroc"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["FL"] = 1,
		  },
		},
		["naj'entus"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BT"] = 1,
		  },
		},
		["saurfang"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ICC"] = 1,
		  },
		},
		["troll"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ZA"] = 0.5,
			["ZG"] = 0.5,
		  },
		},
		["naxx25"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Nax"] = 1,
		  },
		},
		["gorefiend"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BT"] = 1,
		  },
		},
		["link"] = {
		  ["type"] = {
			["LFPROF"] = 0.5,
		  },
		},
		["bastion"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BoT"] = 1,
		  },
		},
		["gems"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["jc"] = 0.75,
		  },
		},
		["anetheron"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Hyj"] = 1,
		  },
		},
		[l(bb["Firemaw"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BWL"] = 1,
		  },
		},
		["nef"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BWD"] = 0.75,
		  },
		},
		["warlock"] = {
		  ["class"] = {
			["wa"] = 1,
		  },
		},
		[l(bb["Sindragosa"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ICC"] = 1,
		  },
		},
		["madness"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ZG"] = 1,
		  },
		},
		["lock"] = {
		  ["class"] = {
			["wa"] = 0.75,
		  },
		},
		["3's"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["3s"] = 1,
		  },
		},
		["majordomo"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["MC"] = 0.5,
			["FL"] = 0.75,
		  },
		},
		["ranged"] = {
		  ["role"] = {
			["ranged"] = 1,
		  },
		},
		["elemental"] = {
		  ["class"] = {
			["sh"] = 1,
		  },
		},
		["enhance"] = {
		  ["class"] = {
			["sh"] = 1,
		  },
		},
		["flamewreath"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["UBRS"] = 1,
		  },
		},
		[l(bb["Garr"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["MC"] = 1,
		  },
		},
		["skeram"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["AQ40"] = 1,
		  },
		},
		["bh25"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BH"] = 1,
		  },
		},
		["jc'er"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["jc"] = 1,
		  },
		},
		["enh"] = {
		  ["class"] = {
			["sh"] = 1,
		  },
		},
		["balance"] = {
		  ["class"] = {
			["dr"] = 1,
		  },
		},
		["aq20"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["AQ10"] = 1,
		  },
		},
		["bal"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["FL"] = 0.75,
		  },
		},
		["huhuran"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["AQ40"] = 1,
		  },
		},
		["throne"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["TFW"] = 1,
		  },
		},
		["dpser"] = {
		  ["role"] = {
			["ranged"] = 0.5,
			["melee"] = 0.5,
		  },
		},
		["rogue"] = {
		  ["class"] = {
			["ro"] = 1,
		  },
		},
		["everything"] = {
		  ["role"] = {
			["all"] = 1,
		  },
		},
		["engi"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["eng"] = 1,
		  },
		},
		["rhyo"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["FL"] = 1,
		  },
		},
		["beasts"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ToC"] = 0.75,
		  },
		},
		[l(bb["Akil'zon"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ZA"] = 1,
		  },
		},
		["discipline"] = {
		  ["class"] = {
			["pr"] = 1,
		  },
		},
		[l(bb["Mimiron"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Uld"] = 1,
		  },
		},
		["soulflayer"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ZG"] = 1,
		  },
		},
		["core"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["MC"] = 0.5,
		  },
		},
		["priest"] = {
		  ["class"] = {
			["pr"] = 1,
		  },
		},
		["ony10"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Ony"] = 1,
		  },
		},
		["damage"] = {
		  ["role"] = {
			["ranged"] = 0.5,
			["melee"] = 0.5,
		  },
		},
		["holy"] = {
		  ["class"] = {
			["pr"] = 0.5,
			["pa"] = 0.5,
		  },
		},
		["pally"] = {
		  ["class"] = {
			["pa"] = 1,
		  },
		},
		["retribution"] = {
		  ["class"] = {
			["pa"] = 1,
		  },
		},
		["valthalak"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["UBRS"] = 1,
		  },
		},
		["cleave"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["3s"] = 0.75,
		  },
		},
		["death"] = {
		  ["class"] = {
			["dk"] = 0.5,
		  },
		},
		["knight"] = {
		  ["class"] = {
			["dk"] = 0.5,
		  },
		},
		["buru"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["AQ10"] = 1,
		  },
		},
		["blackwing"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BWD"] = 0.75,
			["BWL"] = 0.5,
		  },
		},
		["warr"] = {
		  ["class"] = {
			["wr"] = 1,
		  },
		},
		["cat"] = {
		  ["class"] = {
			["dr"] = 1,
		  },
		},
		["protection"] = {
		  ["class"] = {
			["pa"] = 0.5,
			["wr"] = 0.5,
		  },
		},
		["yogg"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Uld"] = 1,
		  },
		},
		["arms"] = {
		  ["class"] = {
			["wr"] = 1,
		  },
		},
		["cuts"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["jc"] = 0.75,
		  },
		},
		["warrior"] = {
		  ["class"] = {
			["wr"] = 1,
		  },
		},
		["aran"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Kra"] = 1,
		  },
		},
		["hunter"] = {
		  ["class"] = {
			["hu"] = 1,
		  },
		},
		["zanzil"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ZG"] = 1,
		  },
		},
		["bot25"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BoT"] = 1,
		  },
		},
		["lfw"] = {
		  ["type"] = {
			["LFW"] = 1,
		  },
		},
		["kitty"] = {
		  ["class"] = {
			["dr"] = 1,
		  },
		},
		[l(bb["Nalorakk"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ZA"] = 1,
		  },
		},
		["boomkin"] = {
		  ["class"] = {
			["dr"] = 1,
		  },
		},
		["fury"] = {
		  ["class"] = {
			["wr"] = 1,
		  },
		},
		["drood"] = {
		  ["class"] = {
			["dr"] = 1,
		  },
		},
		["marrowgar"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ICC"] = 1,
		  },
		},
		[l(bb["Gluth"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Nax"] = 1,
		  },
		},
		["goraluk"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["UBRS"] = 1,
		  },
		},
		["reaver"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["TK"] = 1,
		  },
		},
		["jcer"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["jc"] = 1,
		  },
		},
		[l(bb["Shazzrah"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["MC"] = 1,
		  },
		},
		["feral"] = {
		  ["class"] = {
			["dr"] = 1,
		  },
		},
		["sartura"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["AQ40"] = 1,
		  },
		},
		["champs"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ToC"] = 0.75,
		  },
		},
		["firelands"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["FL"] = 1,
		  },
		},
		[l(bb["Al'Akir"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["TFW"] = 1,
		  },
		},
		["archimonde"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Hyj"] = 1,
		  },
		},
		[l(bb["Loatheb"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Nax"] = 1,
		  },
		},
		["crowd"] = {
		  ["role"] = {
			["cc"] = 0.25,
		  },
		},
		["kaz'rogal"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Hyj"] = 1,
		  },
		},
		["shahraz"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BT"] = 1,
		  },
		},
		[l(bb["Brutallus"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["SWP"] = 1,
		  },
		},
		["rs25"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["RS"] = 1,
		  },
		},
		["need"] = {
		  ["type"] = {
			["LFM"] = 0.5,
		  },
		},
		["tlr"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["tlr"] = 1,
		  },
		},
		["all"] = {
		  ["role"] = {
			["all"] = 0.5,
		  },
		},
		["rajaxx"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["AQ10"] = 1,
		  },
		},
		["blackhand"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["UBRS"] = 1,
		  },
		},
		[l(bb["Thaddius"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Nax"] = 1,
		  },
		},
		[l(bb["Magtheridon"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Mag"] = 1,
		  },
		},
		["anyone"] = {
		  ["role"] = {
			["all"] = 0.75,
		  },
		},
		["venoxis"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ZG"] = 1,
		  },
		},
		[l(bb["Viscidus"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["AQ40"] = 1,
		  },
		},
		["melee"] = {
		  ["role"] = {
			["melee"] = 1,
		  },
		},
		["kael"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["TK"] = 1,
		  },
		},
		["offtank"] = {
		  ["role"] = {
			["tank"] = 1,
		  },
		},
		["maintank"] = {
		  ["role"] = {
			["tank"] = 1,
		  },
		},
		["tanks"] = {
		  ["role"] = {
			["tank"] = 1,
		  },
		},
		["staghelm"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["FL"] = 1,
		  },
		},
		["disc"] = {
		  ["class"] = {
			["pr"] = 1,
		  },
		},
		["dps"] = {
		  ["role"] = {
			["ranged"] = 0.5,
			["melee"] = 0.5,
		  },
		},
		[l(bb["Sapphiron"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Nax"] = 1,
		  },
		},
		["lair"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BWL"] = 0.5,
		  },
		},
		["lurker"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["SSC"] = 0.75,
		  },
		},
		["wtb"] = {
		  ["type"] = {
			["LFPROF"] = 0.25,
			["LFM"] = 0.25,
			["WTB"] = 1,
		  },
		},
		["rdps"] = {
		  ["role"] = {
			["ranged"] = 1,
			["melee"] = -1,
		  },
		},
		["lashlayer"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BWL"] = 1,
		  },
		},
		["shammy"] = {
		  ["class"] = {
			["sh"] = 1,
		  },
		},
		["shadow"] = {
		  ["class"] = {
			["pr"] = 1,
		  },
		},
		["5v5"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["5s"] = 1,
		  },
		},
		["to4w"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["TFW"] = 1,
		  },
		},
		["halfus"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BoT"] = 1,
		  },
		},
		["bmj"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Hyj"] = 1,
		  },
		},
		["2v2"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["2s"] = 1,
		  },
		},
		["huntard"] = {
		  ["class"] = {
			["hu"] = 1,
		  },
		},
		["mag25"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Mag"] = 1,
		  },
		},
		["ubrs"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["UBRS"] = 1,
		  },
		},
		[l(bb["C'Thun"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["AQ40"] = 1,
		  },
		},
		["bot"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BoT"] = 1,
		  },
		},
		[l(bb["Auriaya"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Uld"] = 1,
		  },
		},
		["maly"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["EoE"] = 1,
		  },
		},
		["tfw25"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["TFW"] = 1,
		  },
		},
		["cho"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BoT"] = 1,
		  },
		},
		["conclave"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["TFW"] = 1,
		  },
		},
		["chanter"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["enc"] = 1,
		  },
		},
		["tfw10"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["TFW"] = 1,
		  },
		},
		["bear"] = {
		  ["class"] = {
			["dr"] = 1,
		  },
		},
		["tfw"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["TFW"] = 1,
		  },
		},
		["2's"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["2s"] = 1,
		  },
		},
		["points"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["2s"] = 0.5,
			["3s"] = 0.5,
			["5s"] = 0.5,
		  },
		},
		["ins"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["ins"] = 1,
		  },
		},
		["opera"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Kra"] = 1,
		  },
		},
		["zandalari"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ZA"] = 1,
			["ZG"] = 1,
		  },
		},
		["5's"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["5s"] = 1,
		  },
		},
		["golemagg"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["MC"] = 1,
		  },
		},
		[l(bb["Kalecgos"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["SWP"] = 1,
		  },
		},
		["exec"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["MC"] = 0.75,
		  },
		},
		["tgc"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ToC"] = 1,
		  },
		},
		["conquest"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["2s"] = 0.5,
			["3s"] = 0.5,
			["5s"] = 0.5,
		  },
		},
		[l(bb["Lucifron"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["MC"] = 1,
		  },
		},
		[l(bb["Moam"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["AQ10"] = 1,
		  },
		},
		["arena"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["2s"] = 1,
			["3s"] = 1,
			["5s"] = 1,
		  },
		},
		[l(bb["Halion"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["RS"] = 1,
		  },
		},
		["flag"] = {
		  ["role"] = {
			["tank"] = 0.5,
		  },
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["RBG"] = 0.5,
		  },
		},
		["bt25"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BT"] = 1,
		  },
		},
		["arenas"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["2s"] = 1,
			["3s"] = 1,
			["5s"] = 1,
		  },
		},
		["ubrs10"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["UBRS"] = 1,
		  },
		},
		["ther"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BoT"] = 1,
		  },
		},
		[l(bb["Cho'gall"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BoT"] = 1,
		  },
		},
		["rmp"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["3s"] = 0.75,
		  },
		},
		["ssc25"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["SSC"] = 1,
		  },
		},
		[l(bb["Ebonroc"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BWL"] = 1,
		  },
		},
		["toc10"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ToC"] = 1,
		  },
		},
		[l(bb["Argaloth"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BH"] = 1,
		  },
		},
		[l(bb["Grobbulus"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Nax"] = 1,
		  },
		},
		["ret"] = {
		  ["class"] = {
			["pa"] = 1,
		  },
		},
		["icc25"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ICC"] = 1,
		  },
		},
		["lf1m"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		[l(bb["Halazzi"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ZA"] = 1,
		  },
		},
		["tidewalker"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["SSC"] = 1,
		  },
		},
		["tailoring"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["tlr"] = 1,
		  },
		},
		[l(bb["Kologarn"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Uld"] = 1,
		  },
		},
		["eoe10"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["EoE"] = 1,
		  },
		},
		[l(bb["Sinestra"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BoT"] = 1,
		  },
		},
		[l(bb["Gehennas"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["MC"] = 1,
		  },
		},
		[l(bb["Flamegor"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BWL"] = 1,
		  },
		},
		[l(bb["Patchwerk"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Nax"] = 1,
		  },
		},
		["fankriss"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["AQ40"] = 1,
		  },
		},
		["eternity"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["EoE"] = 0.5,
		  },
		},
		["voa25"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["VoA"] = 1,
		  },
		},
		["uld10"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Uld"] = 1,
		  },
		},
		["anub"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ToC"] = 1,
		  },
		},
		["leviathan"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Uld"] = 1,
		  },
		},
		["algalon"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Uld"] = 1,
		  },
		},
		["queen"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ICC"] = 0.5,
		  },
		},
		["vezax"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Uld"] = 1,
		  },
		},
		[l(bb["Razorscale"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Uld"] = 1,
		  },
		},
		["lfm"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["assembly"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Uld"] = 1,
		  },
		},
		[l(bb["Felmyst"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["SWP"] = 1,
		  },
		},
		[l(bb["Rotface"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ICC"] = 1,
		  },
		},
		[l(bb["Malygos"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["EoE"] = 1,
		  },
		},
		["gunship"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ICC"] = 1,
		  },
		},
		[l(bb["Thorim"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Uld"] = 1,
		  },
		},
		["lwer"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["lw"] = 1,
		  },
		},
		["jaraxxus"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ToC"] = 1,
		  },
		},
		[l(bb["Onyxia"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Ony"] = 1,
		  },
		},
		["transmutation"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["alc"] = 1,
		  },
		},
		[l(bb["Hodir"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Uld"] = 1,
		  },
		},
		["deconstructor"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Uld"] = 1,
		  },
		},
		["os3d"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["OS"] = 1,
		  },
		},
		["prot"] = {
		  ["class"] = {
			["pa"] = 0.5,
			["wr"] = 0.5,
		  },
		},
		[l(bb["Supremus"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BT"] = 1,
		  },
		},
		["armorsmith"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["bs"] = 1,
		  },
		},
		[l(bb["Sartharion"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["OS"] = 1,
		  },
		},
		["horsemen"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Nax"] = 1,
		  },
		},
		["bot10"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BoT"] = 1,
		  },
		},
		[l(bz["Naxxramas"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Nax"] = 1,
		  },
		},
		["heigan"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Nax"] = 1,
		  },
		},
		[l(bb["Kel'Thuzad"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Nax"] = 1,
		  },
		},
		["noth"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Nax"] = 1,
		  },
		},
		["emberseer"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["UBRS"] = 1,
		  },
		},
		[l(bb["Maexxna"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Nax"] = 1,
		  },
		},
		[l(bb["Anub'Rekhan"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Nax"] = 1,
		  },
		},
		["naxx"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Nax"] = 1,
		  },
		},
		["razuvious"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Nax"] = 1,
		  },
		},
		["maulgar"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["GL"] = 1,
		  },
		},
		[l(bz["Zul'Aman"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ZA"] = 1,
		  },
		},
		["virtue"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Kra"] = 1,
		  },
		},
		[l(bb["Kurinnaxx"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["AQ10"] = 1,
		  },
		},
		["kara10"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Kra"] = 1,
		  },
		},
		[l(bb["Moroes"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Kra"] = 1,
		  },
		},
		["chess"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Kra"] = 1,
		  },
		},
		["vashj"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["SSC"] = 0.75,
		  },
		},
		["mc40"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["MC"] = 1,
		  },
		},
		[l(bb["Nightbane"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Kra"] = 1,
		  },
		},
		[l(bb["Netherspite"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Kra"] = 1,
		  },
		},
		["sunwell"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["SWP"] = 1,
		  },
		},
		["attumen"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Kra"] = 1,
		  },
		},
		["illhoof"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Kra"] = 1,
		  },
		},
		["kz10"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Kra"] = 1,
		  },
		},
		["hydross"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["SSC"] = 1,
		  },
		},
		["malchezaar"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Kra"] = 1,
		  },
		},
		["illidari"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BT"] = 1,
		  },
		},
		["sunstrider"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["TK"] = 1,
		  },
		},
		[l(bb["Chimaeron"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BWD"] = 1,
		  },
		},
		["bwd10"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BWD"] = 1,
		  },
		},
		[l(bb["Entropius"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["SWP"] = 1,
		  },
		},
		["uld"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Uld"] = 1,
		  },
		},
		["domo"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["MC"] = 0.5,
			["FL"] = 0.75,
		  },
		},
		["healer"] = {
		  ["role"] = {
			["healer"] = 1,
		  },
		},
		["leotheras"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["SSC"] = 1,
		  },
		},
		["cutting"] = {
		  ["type"] = {
			["LFW"] = 1,
		  },
		},
		["temple"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["AQ40"] = 0.5,
			["BT"] = 0.75,
		  },
		},
		["voa"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["VoA"] = 1,
		  },
		},
		[l(bb["Ragnaros"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["MC"] = 0.5,
			["FL"] = 0.75,
		  },
		},
		["tank"] = {
		  ["role"] = {
			["tank"] = 1,
		  },
		},
		["toravon"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["VoA"] = 1,
		  },
		},
		["solarian"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["TK"] = 1,
		  },
		},
		["alc"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["alc"] = 1,
		  },
		},
		["sathrovarr"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["SWP"] = 1,
		  },
		},
		["sandworm"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["AQ40"] = 1,
		  },
		},
		["aq40"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["AQ40"] = 1,
		  },
		},
		["bmj25"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Hyj"] = 1,
		  },
		},
		[l(bb["Nefarian"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BWD"] = 0.75,
			["BWL"] = 0.5,
		  },
		},
		["rated"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["RBG"] = 0.5,
			["2s"] = 0.25,
			["3s"] = 0.25,
			["5s"] = 0.25
		  },
		},
		["rating"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["RBG"] = 0.5,
			["2s"] = 0.5,
			["3s"] = 0.5,
			["5s"] = 0.5
		  },
		},
		["mmr"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["RBG"] = 0.5,
			["2s"] = 0.5,
			["3s"] = 0.5,
			["5s"] = 0.5
		  },
		},
		["citadel"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ICC"] = 0.5,
		  },
		},
		["blacksmith"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["bs"] = 1,
		  },
		},
		["elixir"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["alc"] = 1,
		  },
		},
		["xmute"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["alc"] = 1,
		  },
		},
		["inscriber"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["ins"] = 1,
		  },
		},
		["ele"] = {
		  ["class"] = {
			["sh"] = 1,
		  },
		},
		["mdps"] = {
		  ["role"] = {
			["ranged"] = -1,
			["melee"] = 1,
		  },
		},
		["ml25"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Mag"] = 1,
		  },
		},
		[l(bb["Freya"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Uld"] = 1,
		  },
		},
		["gyth"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["UBRS"] = 1,
		  },
		},
		["leatherworker"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["lw"] = 1,
		  },
		},
		["executus"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["MC"] = 1,
		  },
		},
		[l(bb["Magmadar"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["MC"] = 1,
		  },
		},
		[l(bz["Karazhan"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Kra"] = 1,
		  },
		},
		["rs10"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["RS"] = 1,
		  },
		},
		["pala"] = {
		  ["class"] = {
			["pa"] = 1,
		  },
		},
		["control"] = {
		  ["role"] = {
			["cc"] = 0.25,
		  },
		},
		["ossirian"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["AQ10"] = 1,
		  },
		},
		["vaelastrasz"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BWL"] = 1,
		  },
		},
		["gothik"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Nax"] = 1,
		  },
		},
		["work"] = {
		  ["type"] = {
			["LFW"] = 1,
		  },
		},
		["ony"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Ony"] = 1,
		  },
		},
		["archavon"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["VoA"] = 1,
		  },
		},
		["emalon"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["VoA"] = 1,
		  },
		},
		["jewel"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["jc"] = 0.5,
		  },
		},
		[l(bb["Anub'arak"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ToC"] = 1,
		  },
		},
		["jed"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["UBRS"] = 1,
		  },
		},
		["koralon"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["VoA"] = 1,
		  },
		},
		[l(bb["Gahz'ranka"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ZG"] = 1,
		  },
		},
		["alchemist"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["alc"] = 1,
		  },
		},
		["voa10"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["VoA"] = 1,
		  },
		},
		["weaponsmith"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["bs"] = 1,
		  },
		},
		[l(bb["Maloriak"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BWD"] = 1,
		  },
		},
		[l(bz["Ulduar"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Uld"] = 1,
		  },
		},
		["anything"] = {
		  ["role"] = {
			["all"] = 0.5,
		  },
		},
		["any"] = {
		  ["type"] = {
			["LFPROF"] = 0.5,
		  },
		},
		["alys"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["FL"] = 1,
		  },
		},
		["deathknight"] = {
		  ["class"] = {
			["dk"] = 1,
		  },
		},
		["looking"] = {
		  ["type"] = {
			["LFM"] = 0.5,
			["LFPROF"] = 0.5,
			["LFG"] = 0.5,
		  },
		},
		[l(bz["Zul'Gurub"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ZG"] = 1,
		  },
		},
		["jin'do"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ZG"] = 1,
		  },
		},
		["bloodboil"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BT"] = 1,
		  },
		},
		["molten"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["MC"] = 0.75,
		  },
		},
		["bwl"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BWL"] = 1,
		  },
		},
		["bh10"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BH"] = 1,
		  },
		},
		["omnotron"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BWD"] = 1,
		  },
		},
		["enchanter"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["enc"] = 1,
		  },
		},
		["bwd"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BWD"] = 1,
		  },
		},
		["enchant"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["enc"] = 1,
		  },
		},
		["putricide"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ICC"] = 1,
		  },
		},
		["jen'alai"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ZA"] = 1,
		  },
		},
		["eredar"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["SWP"] = 1,
		  },
		},
		["emperors"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["AQ40"] = 0.75,
		  },
		},
		["eng"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["eng"] = 1,
		  },
		},
		["serpentshrine"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["SSC"] = 1,
		  },
		},
		["comp"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["2s"] = 0.5,
			["3s"] = 0.75,
			["5s"] = 0.5,
		  },
		},
		["karathress"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["SSC"] = 1,
		  },
		},
		["group"] = {
		  ["type"] = {
			["LFG"] = 0.5,
		  },
		},
		["reliquary"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BT"] = 1,
		  },
		},
		["partner"] = {
		  ["type"] = {
			["LFM"] = 0.5,
			["LFG"] = 0.5,
		  },
		},
		["drakkisath"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["UBRS"] = 1,
		  },
		},
		["ignis"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Uld"] = 1,
		  },
		},
		["deathwhisper"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ICC"] = 1,
		  },
		},
		[l(bb["Ouro"])] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["AQ40"] = 1,
		  },
		},
		["crafting"] = {
		  ["type"] = {
			["LFW"] = 1,
		  },
		},
		["scribe"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["ins"] = 1,
		  },
		},
		["kael'thas"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["TK"] = 1,
		  },
		},
		["dreamwalker"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ICC"] = 1,
		  },
		},
		["winterchill"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Hyj"] = 1,
		  },
		},
		["inscriptions"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["ins"] = 1,
		  },
		},
		["twins"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ToC"] = 0.75,
		  },
		},
		["shaman"] = {
		  ["class"] = {
			["sh"] = 1,
		  },
		},
		["ssc"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["SSC"] = 1,
		  },
		},
		["arlokk"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ZG"] = 1,
		  },
		},
		["mage"] = {
		  ["class"] = {
			["ma"] = 1,
		  },
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["Mag"] = -1,
		  },
		},
		["valiona"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["BoT"] = 1,
		  },
		},
		["cutter"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["jc"] = 0.5,
		  },
		},
		["engineer"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["eng"] = 1,
		  },
		},
		["lich"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["ICC"] = 1,
		  },
		},
		["potion"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["alc"] = 1,
		  },
		},
		["ayamiss"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["AQ10"] = 1,
		  },
		},
		["eye"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["EoE"] = 0.5,
		  },
		},
		["crafter"] = {
		  ["type"] = {
["LFPROF"] = 0.25,
["LFW"] = 0.25,
},
["prof"] = {
			["misc"] = 1,
		  },
		},
		["sarth"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["OS"] = 1,
		  },
		},
		["3v3"] = {
		  ["type"] = {
["LFG"] = 0.25,
["LFM"] = 0.25,
},
["raid"] ={
			["3s"] = 1,
		  },
		},
		["guild"] = {
		  ["type"] = {
		    ["LFGUILD"] = 0.5,
			["GUILDLFM"] = 0.1,
		  }
		},
		["recruit"] = {
		  ["type"] = {
			["GUILDLFM"] = 1,
		  },
		},
		["recruiting"] = {
		  ["type"] = {
			["GUILDLFM"] = 1.5,
		  },
		},
		["apply"] = {
		  ["type"] = {
			["GUILDLFM"] = 1,
		  },
		},
		["members"] = {
		  ["type"] = {
			["GUILDLFM"] = 1,
		  },
		},
		["raiding"] = {
		  ["type"] = {
			["LFGUILD"] = 0.5,
			["GUILDLFM"] = 0.25,
		  },
		},
		["pvp"] = {
		  ["type"] = {
			["LFGUILD"] = 1,
			["GUILDLFM"] = 0.5,
		  },
		},
		["wowstead"] = {
		  ["type"] = {
			["GUILDLFM"] = 1,
		  },
		},
		["guildlaunch"] = {
		  ["type"] = {
			["GUILDLFM"] = 1,
		  },
		},
		["guildzilla"] = {
		  ["type"] = {
			["GUILDLFM"] = 1,
		  },
		},
		["raid"] ={
		  ["type"] = {
		    ["LFG"] = 0.5,
		    ["GUILDLFM"] = 0.5,
		  },
		},
		["pal"] = {
		  ["class"] = {
			["pa"] = 0.5,
		  },
		},
		["hpal"] = {
		  ["class"] = {
			["pa"] = 1,
		  },
		},
	  }
	}

end
